Bug 1594480 - Generic objects class accordion is not display when locale is french
Summary: Generic objects class accordion is not display when locale is french
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Milan Zázrivec
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks: 1598532
TreeView+ depends on / blocked
 
Reported: 2018-06-23 13:02 UTC by Franck Grosjean
Modified: 2019-02-11 14:02 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1598532 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:02:03 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
Accordion from UI in French (63.81 KB, image/png)
2018-06-23 13:04 UTC, Franck Grosjean
no flags Details

Description Franck Grosjean 2018-06-23 13:02:07 UTC
Description of problem:
Generic objects class accordion is not display when local is french

Version-Release number of selected component (if applicable):
5.9.2

How reproducible:
Set local to French
Create an generic object class
Accordion doesn't disaply anything

Steps to Reproduce:
1. Set local to French
2. Create an generic object class
3. Automate -> Generic Objets
4. Accordion doesn't display any class

Actual results:
Accordion doesn't display any class

Expected results:
Accordion should display all created Generic Object Class

Additional info:

Comment 2 Dave Johnson 2018-06-23 13:02:24 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Franck Grosjean 2018-06-23 13:04:28 UTC
Created attachment 1453925 [details]
Accordion from UI in French

Comment 4 Dave Johnson 2018-06-23 13:42:29 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 7 CFME Bot 2018-06-29 08:13:47 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/522bdedcbc4da04e502ef999c159fda0eb2781d1
commit 522bdedcbc4da04e502ef999c159fda0eb2781d1
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Wed Jun 27 15:25:36 2018 -0400
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Wed Jun 27 15:25:36 2018 -0400

    Escape special chars in tooltip & text of TreeBuilder's root

    Those two items may contain characters which would make javascript
    fail later down the road (apostrophes for example).

    https://bugzilla.redhat.com/show_bug.cgi?id=1594480

 app/presenters/tree_builder.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 9 Niyaz Akhtar Ansari 2018-10-08 06:28:11 UTC
Verified in Version 5.10.0.18.20181003162715_dfcff5a


Note You need to log in before you can comment on or make changes to this bug.